<?php
/**
 * Pixel Photography Theme Customizer
 *
 * @package Pixel Photography
 */

// Customize Controls.
require get_template_directory() . '/inc/custom-settings-control/customize-controls.php';

// Customize Controls.
require get_template_directory() . '/inc/custom-range-controls.php';

// Sanitization For Customize Controls.
require get_template_directory() . '/inc/custom-settings-control/sanitization.php';

/**
 * Provide postMessage support for the Theme Customizer's site title and description.
 */
function pixel_photography_customize_register( $wp_customize ) {

	// General Settings Panel.
    $wp_customize->add_panel( 'pixel_photography_general_settings_panel',
        array(
            'title'      => esc_html__( 'General Settings', 'pixel-photography' ),
            'priority'   => 2,
            'capability' => 'edit_theme_options',
        )
    );

	// Header Settings Panel.
	$wp_customize->add_panel( 'pixel_photography_header_settings_panel',
		array(
			'title'      => esc_html__( 'Header Settings', 'pixel-photography' ),
			'priority'   => 2,
			'capability' => 'edit_theme_options',
		)
	);

	// Frontpage Sections Settings Panel.
	$wp_customize->add_panel( 'pixel_photography_frontpage_sections_settings_panel',
		array(
			'title'      => esc_html__( 'Frontpage Sections Settings', 'pixel-photography' ),
			'priority'   => 3,
			'capability' => 'edit_theme_options',
		)
	);

	// Footer Settings Panel.
	$wp_customize->add_panel( 'pixel_photography_footer_settings_panel',
		array(
			'title'      => esc_html__( 'Footer Settings', 'pixel-photography' ),
			'priority'   => 3,
			'capability' => 'edit_theme_options',
		)
	);

	// Site Identity

	$wp_customize->get_section( 'title_tagline' )->panel = 'pixel_photography_header_settings_panel';

	$wp_customize->add_setting(
		'pixel_photography_site_logo',
		array(
			'default'           => false,
			'sanitize_callback' => 'pixel_photography_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new pixel_photography_On_Off_Custom_Control(
			$wp_customize,
			'pixel_photography_site_logo',
			array(
				'label'    => esc_html__( 'ON / OFF Site Logo', 'pixel-photography' ),
				'section'  => 'title_tagline',
				'settings' => 'pixel_photography_site_logo',
			)
		)
	);

	$wp_customize->add_setting(
		'pixel_photography_site_title_text',
		array(
			'default'           => true,
			'sanitize_callback' => 'pixel_photography_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new pixel_photography_On_Off_Custom_Control(
			$wp_customize,
			'pixel_photography_site_title_text',
			array(
				'label'    => esc_html__( 'ON / OFF Site Title', 'pixel-photography' ),
				'section'  => 'title_tagline',
				'settings' => 'pixel_photography_site_title_text',
			)
		)
	);

	$wp_customize->add_setting(
        'pixel_photography_title_font_size',
        array(
            'default'    => 20,
            'sanitize_callback' => 'pixel_photography_sanitize_number_range',
        )
    );

    $wp_customize->add_control(
        new pixel_photography_Slider(
            $wp_customize,
            'pixel_photography_title_font_size',
            array(
                'label'    => esc_html__( 'Site Title Font Size', 'pixel-photography' ),
                'section'  => 'title_tagline',
                'label' => esc_html__('Site Title Font Size', 'pixel-photography'),
                'input_attrs' => array(
					'reset'			   => 20,
		            'step'             => 1,
					'min'              => 0,
					'max'              => 50,
		        ),
            )
        )
    );


	$wp_customize->add_setting(
		'pixel_photography_site_tagline_text',
		array(
			'default'           => false,
			'sanitize_callback' => 'pixel_photography_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new pixel_photography_On_Off_Custom_Control(
			$wp_customize,
			'pixel_photography_site_tagline_text',
			array(
				'label'    => esc_html__( 'ON / OFF Site Tagline', 'pixel-photography' ),
				'section'  => 'title_tagline',
				'settings' => 'pixel_photography_site_tagline_text',
			)
		)
	);

	 $wp_customize->add_setting(
        'pixel_photography_site_tagline_font_size',
        array(
            'default'    => 15,
            'sanitize_callback' => 'pixel_photography_sanitize_number_range',
        )
    );

    $wp_customize->add_control(
        new pixel_photography_Slider(
            $wp_customize,
            'pixel_photography_site_tagline_font_size',
            array(
                'label'    => esc_html__( 'Tagline Font Size', 'pixel-photography' ),
                'section'  => 'title_tagline',
                'label' => esc_html__('Tagline Font Size', 'pixel-photography'),
                'input_attrs' => array(
					'reset'			   => 15,
		            'step'             => 1,
					'min'              => 0,
					'max'              => 50,
		        ),
            )
        )
    );

    //Woo Coomerce
    $wp_customize->add_setting('pixel_photography_per_columns',array(
        'default'=> 3,
        'sanitize_callback' => 'pixel_photography_sanitize_number_absint'
    ));
    $wp_customize->add_control('pixel_photography_per_columns',array(
        'label' => __('Product Per Row','pixel-photography'),
        'section'=> 'woocommerce_product_catalog',
        'type'=> 'number',
        'input_attrs' => array(
            'min' => 1,
            'max' => 6,
            'step' => 1,
        ),
    ));
    $wp_customize->add_setting('pixel_photography_product_per_page',array(
        'default'=> 10,
        'sanitize_callback' => 'pixel_photography_sanitize_number_absint'
    ));
    $wp_customize->add_control('pixel_photography_product_per_page',array(
        'label' => __('Product Per Page','pixel-photography'),
        'section'=> 'woocommerce_product_catalog',
        'type'=> 'number',
        'input_attrs' => array(
            'min' => 1,
            'max' => 20,
            'step' => 1,
        ),
    ));

    $wp_customize->add_section(
		'woocommerce_product_extra_section',
		array(
			'panel'      => 'woocommerce',
			'title'    => esc_html__( 'Extra WooCommerce Settings', 'pixel-photography' ),
		)
	);

    $wp_customize->add_setting( 'pixel_photography_single_product_sidebar', array(
		'default'           => true,
		'transport'         => 'refresh',
		'sanitize_callback' => 'pixel_photography_sanitize_checkbox',
	) );
	$wp_customize->add_control( new pixel_photography_On_Off_Custom_Control( $wp_customize, 'pixel_photography_single_product_sidebar', array(
		'label'       => esc_html__( 'Show / Hide Product Page Sidebar', 'pixel-photography' ),
		'section'     => 'woocommerce_product_extra_section',
		'type'        => 'toggle',
		'settings'    => 'pixel_photography_single_product_sidebar',
	) ) );
    
	// Header Options

	$wp_customize->add_section(
		'pixel_photography_header_section',
		array(
			'panel'      => 'pixel_photography_header_settings_panel',
			'title'    => esc_html__( 'Header Options', 'pixel-photography' ),
		)
	);


	//MENU TYPOGRAPHY
	
	$wp_customize->add_setting('pixel_photography_menu_font_weight',array(
        'default' => '',
        'sanitize_callback' => 'pixel_photography_sanitize_choices'
	));
	$wp_customize->add_control('pixel_photography_menu_font_weight',array(
     'type' => 'radio',
     'label'     => __('Menu Font Weight', 'pixel-photography'),
     'section' => 'pixel_photography_header_section',
     'type' => 'select',
     'choices' => array(
         '100' => __('100','pixel-photography'),
         '200' => __('200','pixel-photography'),
         '300' => __('300','pixel-photography'),
         '400' => __('400','pixel-photography'),
         '500' => __('500','pixel-photography'),
         '600' => __('600','pixel-photography'),
         '700' => __('700','pixel-photography'),
         '800' => __('800','pixel-photography'),
         '900' => __('900','pixel-photography')
     ),
	) );
	
	$wp_customize->add_setting('pixel_photography_menu_text_tranform',array(
		'default' => 'Capitalize',
		'sanitize_callback' => 'pixel_photography_sanitize_choices'
 	));
 	$wp_customize->add_control('pixel_photography_menu_text_tranform',array(
		'type' => 'select',
		'label' => __('Menu Text Transform','pixel-photography'),
		'section' => 'pixel_photography_header_section',
		'choices' => array(
		   'Uppercase' => __('Uppercase','pixel-photography'),
		   'Lowercase' => __('Lowercase','pixel-photography'),
		   'Capitalize' => __('Capitalize','pixel-photography'),
		),
	) );
	$wp_customize->add_setting('pixel_photography_menu_font_size', array(
	    'default'	=> 16,
        'sanitize_callback' => 'pixel_photography_sanitize_number_range',
	));
	$wp_customize->add_control(new pixel_photography_Slider($wp_customize, 'pixel_photography_menu_font_size', array(
        'section' => 'pixel_photography_header_section',
        'label' => esc_html__('Menu Font Size', 'pixel-photography'),
        'input_attrs' => array(
					'reset'			   => 16,
		            'step'             => 1,
					'min'              => 0,
					'max'              => 35,
		        ),
	)));


	$wp_customize->add_setting(
		'pixel_photography_sticky_header',
		array(
			'default'           => false,
			'sanitize_callback' => 'pixel_photography_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new pixel_photography_On_Off_Custom_Control(
			$wp_customize,
			'pixel_photography_sticky_header',
			array(
				'label'    => esc_html__( 'ON / OFF Sticky Header', 'pixel-photography' ),
				'section'  => 'pixel_photography_header_section',
				'settings' => 'pixel_photography_sticky_header',
			)
		)
	);
	
	// Banner Option

	$wp_customize->add_section(
		'pixel_photography_banner_section',
		array(
			'panel'      => 'pixel_photography_frontpage_sections_settings_panel',
			'title'    => esc_html__( 'Banner Options', 'pixel-photography' ),
		)
	);

	$wp_customize->add_setting(
		'pixel_photography_banner_section_on_off_setting',
		array(
			'default'           => false,
			'sanitize_callback' => 'pixel_photography_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Photography_On_Off_Custom_Control(
			$wp_customize,
			'pixel_photography_banner_section_on_off_setting',
			array(
				'label'    => esc_html__( 'ON / OFF Banner Section', 'pixel-photography' ),
				'section'  => 'pixel_photography_banner_section',
				'settings' => 'pixel_photography_banner_section_on_off_setting',
			)
		)
	);

	$wp_customize->add_setting(
	    'pixel_photography_slider',
	    array(
	        'default'           => '',
	        'sanitize_callback' => 'pixel_photography_sanitize_number',
	    )
	);

	$wp_customize->add_control(
	    'pixel_photography_slider',
	    array(
	        'label'       => esc_html__( 'No of banner', 'pixel-photography' ),
	        'section'     => 'pixel_photography_banner_section',
	        'settings'    => 'pixel_photography_slider',
	        'type'        => 'number',
	        'input_attrs' => array(
	            'min' => 1,
	            'max' => 3,
	        ),
	    )
	);

	$pixel_photography_banner = get_theme_mod( 'pixel_photography_slider');
	for ( $i = 1; $i <= $pixel_photography_banner; $i++ ){
		$wp_customize->add_setting(
			'pixel_photography_banner_short_heading'.$i,
			array(
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'pixel_photography_banner_short_heading'.$i,
				array(
				'label'           => sprintf( esc_html__( 'Banner Short Heading 0', 'pixel-photography' ).$i, ),
				'section'         => 'pixel_photography_banner_section',
				'settings'        => 'pixel_photography_banner_short_heading'.$i,
				'type'            => 'text',
			)
		);

		$wp_customize->add_setting(
			'pixel_photography_banner_heading'.$i,
			array(
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'pixel_photography_banner_heading'.$i,
			array(
				'label'           => sprintf( esc_html__( 'Banner Heading 0', 'pixel-photography' ).$i, ),
				'section'         => 'pixel_photography_banner_section',
				'settings'        => 'pixel_photography_banner_heading'.$i,
				'type'            => 'text',
			)
		);

		$wp_customize->add_setting(
			'pixel_photography_banner_button_link'.$i,
			array(
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'pixel_photography_banner_button_link'.$i,
			array(
				'label'           => sprintf( esc_html__( 'Banner Links 0', 'pixel-photography' ).$i, ),
				'section'         => 'pixel_photography_banner_section',
				'settings'        => 'pixel_photography_banner_button_link'.$i,
				'type'            => 'url',
			)
		);

		$wp_customize->add_setting(
			'pixel_photography_banner_image'.$i,
			array(
	        	'default'           => '',
	        	'sanitize_callback' => 'pixel_photography_sanitize_image',

	    	)
	    );
	    
	    $wp_customize->add_control(
	     	new WP_Customize_Image_Control(
	    		$wp_customize, 'pixel_photography_banner_image'.$i, 
	    		array(
	    			'label'           => sprintf( esc_html__( 'Banner Image 0', 'pixel-photography' ).$i, ),
			        'settings'  => 'pixel_photography_banner_image'.$i,
			        'section'   => 'pixel_photography_banner_section'
	    		) 
	    	)
	    );
	}

	// Services Option

	$wp_customize->add_section(
		'pixel_photography_services_section',
		array(
			'panel'      => 'pixel_photography_frontpage_sections_settings_panel',
			'title'    => esc_html__( 'Services Options', 'pixel-photography' ),
		)
	);

	$wp_customize->add_setting(
	    'pixel_photography_services',
	    array(
	        'default'           => '',
	        'sanitize_callback' => 'pixel_photography_sanitize_number',
	    )
	);

	$wp_customize->add_control(
	    'pixel_photography_services',
	    array(
	        'label'       => esc_html__( 'No of services', 'pixel-photography' ),
	        'section'     => 'pixel_photography_services_section',
	        'settings'    => 'pixel_photography_services',
	        'type'        => 'number',
	        'input_attrs' => array(
	            'min' => 1,
	            'max' => 6,
	        ),
	    )
	);

	$pixel_photography_services = get_theme_mod( 'pixel_photography_services');
	for ( $i = 1; $i <= $pixel_photography_services; $i++ ){
		$wp_customize->add_setting(
			'pixel_photography_services_date'.$i,
			array(
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'pixel_photography_services_date'.$i,
				array(
				'label'           => sprintf( esc_html__( 'Services Date 0', 'pixel-photography' ).$i, ),
				'section'         => 'pixel_photography_services_section',
				'settings'        => 'pixel_photography_services_date'.$i,
				'type'            => 'text',
			)
		);

		$wp_customize->add_setting(
			'pixel_photography_services_box_heading'.$i,
			array(
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'pixel_photography_services_box_heading'.$i,
			array(
				'label'           => sprintf( esc_html__( 'Services Heading 0', 'pixel-photography' ).$i, ),
				'section'         => 'pixel_photography_services_section',
				'settings'        => 'pixel_photography_services_box_heading'.$i,
				'type'            => 'text',
			)
		);

		$wp_customize->add_setting(
			'pixel_photography_services_image'.$i,
			array(
	        	'default'           => '',
	        	'sanitize_callback' => 'pixel_photography_sanitize_image',

	    	)
	    );
	    
	    $wp_customize->add_control(
	     	new WP_Customize_Image_Control(
	    		$wp_customize, 'pixel_photography_services_image'.$i, 
	    		array(
	    			'label'           => sprintf( esc_html__( 'Services Image 0', 'pixel-photography' ).$i, ),
			        'settings'  => 'pixel_photography_services_image'.$i,
			        'section'   => 'pixel_photography_services_section'
	    		) 
	    	)
	    );
	}

    // Category Option

	$wp_customize->add_section(
		'pixel_photography_category_section',
		array(
			'panel'      => 'pixel_photography_frontpage_sections_settings_panel',
			'title'    => esc_html__( 'Category Options', 'pixel-photography' ),
		)
	);

	$wp_customize->add_setting(
		'pixel_photography_category_section_on_off_setting',
		array(
			'default'           => false,
			'sanitize_callback' => 'pixel_photography_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new Pixel_Photography_On_Off_Custom_Control(
			$wp_customize,
			'pixel_photography_category_section_on_off_setting',
			array(
				'label'    => esc_html__( 'ON / OFF Categories Section', 'pixel-photography' ),
				'section'  => 'pixel_photography_category_section',
				'settings' => 'pixel_photography_category_section_on_off_setting',
			)
		)
	);

	$wp_customize->add_setting(
        'pixel_photography_category_short_heading',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

	$wp_customize->add_control(
        'pixel_photography_category_short_heading',
        array(
            'label'           => sprintf( esc_html__( 'Category Short Heading', 'pixel-photography' ), ),
            'section'         => 'pixel_photography_category_section',
            'settings'        => 'pixel_photography_category_short_heading' ,
            'type'            => 'text',
        )
    );

	$wp_customize->add_setting(
        'pixel_photography_category_heading',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

	$wp_customize->add_control(
        'pixel_photography_category_heading',
        array(
            'label'           => sprintf( esc_html__( 'Category Heading', 'pixel-photography' ), ),
            'section'         => 'pixel_photography_category_section',
            'settings'        => 'pixel_photography_category_heading' ,
            'type'            => 'text',
        )
    );

	$wp_customize->add_setting(
	    'pixel_photography_category',
	    array(
	        'default'           => '',
	        'sanitize_callback' => 'pixel_photography_sanitize_number',
	    )
	);

	$wp_customize->add_control(
	    'pixel_photography_category',
	    array(
	        'label'       => esc_html__( 'No of category', 'pixel-photography' ),
	        'section'     => 'pixel_photography_category_section',
	        'settings'    => 'pixel_photography_category',
	        'type'        => 'number',
	        'input_attrs' => array(
	            'min' => 1,
	            'max' => 6,
	        ),
	    )
	);

	$pixel_photography_category = get_theme_mod( 'pixel_photography_category');
	for ( $i = 1; $i <= $pixel_photography_category; $i++ ){
		$wp_customize->add_setting(
			'pixel_photography_category_box_heading'.$i,
			array(
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'pixel_photography_category_box_heading'.$i,
				array(
				'label'           => sprintf( esc_html__( 'Category Heading 0', 'pixel-photography' ).$i, ),
				'section'         => 'pixel_photography_category_section',
				'settings'        => 'pixel_photography_category_box_heading'.$i,
				'type'            => 'text',
			)
		);

		$wp_customize->add_setting(
			'pixel_photography_banner_category_link'.$i,
			array(
				'default'           => '#',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'pixel_photography_banner_category_link'.$i,
			array(
				'label'           => sprintf( esc_html__( 'Category Link 0', 'pixel-photography' ).$i, ),
				'section'         => 'pixel_photography_category_section',
				'settings'        => 'pixel_photography_banner_category_link'.$i,
				'type'            => 'url',
			)
		);

		$wp_customize->add_setting(
			'pixel_photography_category_image'.$i,
			array(
	        	'default'           => '',
	        	'sanitize_callback' => 'pixel_photography_sanitize_image',

	    	)
	    );
	    
	    $wp_customize->add_control(
	     	new WP_Customize_Image_Control(
	    		$wp_customize, 'pixel_photography_category_image'.$i, 
	    		array(
	    			'label'           => sprintf( esc_html__( 'Category Image 0', 'pixel-photography' ).$i, ),
			        'settings'  => 'pixel_photography_category_image'.$i,
			        'section'   => 'pixel_photography_category_section'
	    		) 
	    	)
	    );
	}

	// Global Color Options

	$wp_customize->add_section(
		'pixel_photography_global_color_section',
		array(
			'panel'      => 'pixel_photography_general_settings_panel',
			'title'    => esc_html__( 'Global Color Options', 'pixel-photography' ),
		)
	);

	$wp_customize->add_setting(
		'pixel_photography_global_color',
		array(
			'default'           => '#bc27f0',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'pixel_photography_global_color',
			array(
				'label'    => __( 'Global Color One', 'pixel-photography' ),
				'section'  => 'pixel_photography_global_color_section',
			)
		)
	);

	// Global Font Family Options

	$wp_customize->add_section(
		'pixel_photography_global_font_section',
		array(
			'panel'      => 'pixel_photography_general_settings_panel',
			'title'    => esc_html__( 'Global Font Family Options', 'pixel-photography' ),
		)
	);

	$wp_customize->add_setting(
		'pixel_photography_global_font_setting',
		array(
			'default'           => '',
			'sanitize_callback' => 'pixel_photography_sanitize_google_fonts',
		)
	);
	
	$wp_customize->add_control(
		'pixel_photography_global_font_setting',
		array(
			'label'    => esc_html__( 'Global Font Family', 'pixel-photography' ),
			'section'  => 'pixel_photography_global_font_section',
			'settings' => 'pixel_photography_global_font_setting',
			'type'     => 'select',
			'choices'  => pixel_photography_get_all_google_font_families(),
		)
	);	

	$wp_customize->add_setting(
		'pixel_photography_global_font_settingone',
		array(
			'default'           => '',
			'sanitize_callback' => 'pixel_photography_sanitize_google_fonts',
		)
	);
	
	$wp_customize->add_control(
		'pixel_photography_global_font_settingone',
		array(
			'label'    => esc_html__( 'Global Heading Font Family', 'pixel-photography' ),
			'section'  => 'pixel_photography_global_font_section',
			'settings' => 'pixel_photography_global_font_settingone',
			'type'     => 'select',
			'choices'  => pixel_photography_get_all_google_font_families(),
		)
	);	

	// Footer Option

	$wp_customize->add_section(
        'pixel_photography_footer_widgets_section',
        array(
            'panel'      => 'pixel_photography_footer_settings_panel',
            'title'    => esc_html__( 'Footer Widgets Options', 'pixel-photography' ),
        )
    );

	$wp_customize->add_setting(
		'pixel_photography_footer_widgets_section_on_off_setting',
		array(
			'default'           => true,
			'sanitize_callback' => 'pixel_photography_sanitize_on_off',
		)
	);

	$wp_customize->add_control(
		new pixel_photography_On_Off_Custom_Control(
			$wp_customize,
			'pixel_photography_footer_widgets_section_on_off_setting',
			array(
				'label'    => esc_html__( 'ON / OFF Footer Widgets', 'pixel-photography' ),
				'section'  => 'pixel_photography_footer_widgets_section',
				'settings' => 'pixel_photography_footer_widgets_section_on_off_setting',
			)
		)
	);

	$wp_customize->add_setting( 'pixel_photography_footer_widget_background_color', array(
		    'default' => '',
		    'sanitize_callback' => 'sanitize_hex_color'
		));
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'pixel_photography_footer_widget_background_color', array(
		    'label'     => __('Footer Widget Background Color', 'pixel-photography'),
		    'description' => __('It will change the complete footer widget background color.', 'pixel-photography'),
		    'section' => 'pixel_photography_footer_widgets_section',
		    'settings' => 'pixel_photography_footer_widget_background_color',
		)));

		$wp_customize->add_setting('pixel_photography_footer_widget_background_image',array(
		    'default'   => '',
		    'sanitize_callback' => 'esc_url_raw',
		));
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'pixel_photography_footer_widget_background_image',array(
		    'label' => __('Footer Widget Background Image','pixel-photography'),
		    'section' => 'pixel_photography_footer_widgets_section'
		)));


	$wp_customize->add_section(
        'pixel_photography_copyright_section',
        array(
            'panel'      => 'pixel_photography_footer_settings_panel',
            'title'    => esc_html__( 'Copyright Options', 'pixel-photography' ),
        )
    );

    $wp_customize->add_setting(
        'pixel_photography_footer_text',
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'pixel_photography_footer_text',
        array(
            'label'           => sprintf( esc_html__( 'Edit Copyright Text', 'pixel-photography' ), ),
            'section'         => 'pixel_photography_copyright_section',
            'settings'        => 'pixel_photography_footer_text' ,
            'type'            => 'text',
        )
    );

    // Add Settings and Controls for Scroll top
	$wp_customize->add_setting('pixel_photography_scroll_top_position',array(
        'default' => 'Right',
        'sanitize_callback' => 'pixel_photography_sanitize_choices'
	));
	$wp_customize->add_control('pixel_photography_scroll_top_position',array(
        'type' => 'radio',
        'label'     => __('Scroll to top Position', 'pixel-photography'),
        'description'   => __('This option work for scroll to top', 'pixel-photography'),
       'section' => 'pixel_photography_copyright_section',
       'choices' => array(
            'Right' => __('Right','pixel-photography'),
            'Left' => __('Left','pixel-photography'),
            'Center' => __('Center','pixel-photography')
     ),
	) );

}
add_action( 'customize_register', 'pixel_photography_customize_register' );

/**
 * Create the site title for the partial selective refresh.
 *
 * @return void
 */
function pixel_photography_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Create the website's slogan for the partial selective refresh.
 *
 * @return void
 */
function pixel_photography_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Pixel_Photography_Customize_Buttons {
	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function Pixel_Photography_get_instance() {

		static $pixel_photography_instance = null;

		if ( is_null( $pixel_photography_instance ) ) {
			$pixel_photography_instance = new self;
			$pixel_photography_instance->Pixel_Photography_setup_actions();
		}

		return $pixel_photography_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function Pixel_Photography_setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $pixel_photography_manager
	 * @return void
	*/
	public function sections( $pixel_photography_manager ) {
		load_template( trailingslashit( get_template_directory() ) . '/inc/pixel-photography-section-pro.php' );

		$pixel_photography_manager->register_section_type( 'Pixel_Photography_Customize_Section_Pro' );

		$pixel_photography_manager->add_section( new Pixel_Photography_Customize_Section_Pro( $pixel_photography_manager,'pixel_photography_buy_now', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Buy Pixel Photography Pro', 'pixel-photography' ),
			'pro_text' => esc_html__( 'Buy Pro Theme', 'pixel-photography' ),
			'pro_url'    => esc_url( PIXEL_PHOTOGRAPHY_BUY_NOW ),
		) )	);

		$pixel_photography_manager->add_section( new Pixel_Photography_Customize_Section_Pro( $pixel_photography_manager, 'pixel_photography_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Preview Pro Theme', 'pixel-photography' ),
		    'pro_text'   => esc_html__( 'View Live Demo', 'pixel-photography' ),
		    'pro_url'    => esc_url( PIXEL_PHOTOGRAPHY_LIVE_DEMO ),
		) ) );	
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {
		wp_enqueue_script( 'pixel-photography-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'pixel-photography-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
	}
}
Pixel_Photography_Customize_Buttons::Pixel_Photography_get_instance();